org.wso2.carbon.dataservices.ui.beans

## Class RDFResource

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.RDFResource

-     public class RDFResource
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFResource()`
    `RDFResource(String rdfRefURI, String name, String requiredRoles, String xsdType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getName()`
    `String` | `getRdfRefURI()`
    `void` | `setName(String name)`
    `void` | `setRdfRefURI(String rdfRefURI)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFResource

          public RDFResource(String rdfRefURI,
                             String name,
                             String requiredRoles,
                             String xsdType)

    - #### RDFResource

          public RDFResource()

  - ### Method Detail

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

    - #### getRdfRefURI

          public String getRdfRefURI()

    - #### setRdfRefURI

          public void setRdfRefURI(String rdfRefURI)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.